Skip to main content
GET
Get the per-organization consumption ranking (Admin only)

Authorizations

Authorization
string
header
required

JWT access token for user authentication (Authorization: Bearer <jwt_token>). Create via POST /users/me/access_tokens.

Query Parameters

start
string

Start of time range (ISO 8601). Defaults to 30 days ago.

end
string

End of time range (ISO 8601). Defaults to now.

limit
integer<int64>

Page size (1-1000, default 100)

offset
integer<int64>

Page offset (default 0)

paying
boolean

Filter to current paying (true) / non-paying (false) orgs

sort
string

Sort: revenue (default), requests, tokens

Response

Org revenue retrieved successfully

Paginated per-organization consumption ranking for a period

data
object[]
required
limit
integer<int64>
required
offset
integer<int64>
required
period_end
string<date-time>
required
period_start
string<date-time>
required
total
integer<int64>
required

Total matching organizations (before limit/offset)